Community discussions

MikroTik App
 
Ackster
Frequent Visitor
Frequent Visitor
Topic Author
Posts: 52
Joined: Wed Oct 06, 2004 6:22 pm

Dude 3.6 & 6 compatibility

Mon Jul 20, 2020 9:14 pm

Currently still running dude 3.6. Upgrading to 6 is on my to do list. I just updated a router to 6.45.9. It appears that I can no longer access that router via routerOS using dude 3.6. I'm fine with that for now being I can still use SNMP. Is there any settings that will make 3.6 able to connect to 6.45.9 via routerOS? Is dude 6 backward compatible with older versions of routerOS?
 
User avatar
Cha0s
Forum Guru
Forum Guru
Posts: 1032
Joined: Tue Oct 11, 2005 4:53 pm

Re: Dude 3.6 & 6 compatibility

Tue Aug 04, 2020 7:54 pm

Dude 3.6 cannot connect to newer versions of ROS.

In recent (well not so recent) versions of ROS the authentication method has changed, so old Dude cannot connect anymore.
AFAIK there is no workaround except to update.

But, while updating might sound cool, you make sure you do tons of tests and backups before actually migrating to v6.
v6 solves just as many bugs as it introduces. And it's pretty much a dead project again. So any introduced bugs in v6, you'll have to live with them for a long long time before (if) they ever get fixed.

So... unless you really need to be able to connect to ROS via Dude, I'd say, stay on v3. I know I've done so (on my largest installations of Dude).

Who is online

Users browsing this forum: No registered users and 12 guests